package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_rating_grade")
public class MaintRatingGrade implements Serializable{
     
	private static final long serialVersionUID = -5747263001543741337L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	   
	@Id
	@Column(name="rm_code")
	private String rmCode;	
	
	@Column(name="min_per")
	private Integer minPer;
	
	@Column(name="max_per")
	private Integer maxPer;
	
	@Id
	@Column(name="grade_code")
	private String gradeCode;
	
	@Column(name="grade_desc")
	private String gradeDesc;
	
	@Column(name="rating_internal")
	private Integer ratingInternal;
	
	@Column(name="auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="status")
	private String status;	
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
		
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;

	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getRmCode() {
		return rmCode;
	}

	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}

	public Integer getMinPer() {
		return minPer;
	}

	public void setMinPer(Integer minPer) {
		this.minPer = minPer;
	}

	public Integer getMaxPer() {
		return maxPer;
	}

	public void setMaxPer(Integer maxPer) {
		this.maxPer = maxPer;
	}

	public String getGradeCode() {
		return gradeCode;
	}

	public void setGradeCode(String gradeCode) {
		this.gradeCode = gradeCode;
	}

	public String getGradeDesc() {
		return gradeDesc;
	}

	public void setGradeDesc(String gradeDesc) {
		this.gradeDesc = gradeDesc;
	}

	public Integer getRatingInternal() {
		return ratingInternal;
	}

	public void setRatingInternal(Integer ratingInternal) {
		this.ratingInternal = ratingInternal;
	}

	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

	 
} 
